{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "客户",
    "lanResTag" : "DE.LNAME.IBIZCUSTOMER",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto795",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZCUSTOMER]",
    "rTMOSFilePath" : "pslanguageres/Auto795",
    "refFlag" : true
  },
  "caption" : "自定义布局表单多媒体测试",
  "codeName" : "IBIZCustomerMediaTestEditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerMediaTestEditView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZCustomerMediaTestEditView",
  "name" : "IBIZCustomerMediaTestEditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZCustomerMediaTestEditView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "AddDataForm",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer/PSFORMS/AddDataForm.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "主编辑表单(数据补充)",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOMER/psdeform_editforms/AddDataForm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERID",
        "codeName" : "IBIZCustomerId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERNAME",
        "codeName" : "IBIZCustomerName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "ibizcustomername",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERNAME",
        "codeName" : "IBIZCustomerName"
      }
    }, {
      "id" : "address",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      }
    }, {
      "id" : "ibizcustomerid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERID",
        "codeName" : "IBIZCustomerId"
      }
    }, {
      "id" : "customeruid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CUSTOMERUID",
        "codeName" : "CustomerUID"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "基本信息",
        "lanResTag" : "CONTROL.DEFORM.IBIZCUSTOMER.MAIN.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto1282",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZCUSTOMER.MAIN.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto1282",
        "refFlag" : true
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "defaultContent" : "客户基本信息",
          "lanResTag" : "CONTROL.DEFORM.IBIZCUSTOMER.MAIN.GROUPPANEL.GROUP1",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto1338",
          "name" : "控件文本（CONTROL.*）[DEFORM.IBIZCUSTOMER.MAIN.GROUPPANEL.GROUP1]",
          "rTMOSFilePath" : "pslanguageres/Auto1338",
          "refFlag" : true
        },
        "caption" : "客户基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "客户名称",
            "lanResTag" : "DEF.LNAME.IBIZCUSTOMERNAME",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto815",
            "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMERNAME]",
            "rTMOSFilePath" : "pslanguageres/Auto815",
            "refFlag" : true
          },
          "caption" : "客户名称",
          "codeName" : "ibizcustomername",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
          "name" : "ibizcustomername",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "ibizcustomername"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "公司地址",
            "lanResTag" : "DEF.LNAME.ADDRESS",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1639",
            "name" : "属性逻辑名称（DEF.LNAME.*）[ADDRESS]",
            "rTMOSFilePath" : "pslanguageres/Auto1639",
            "refFlag" : true
          },
          "caption" : "公司地址",
          "codeName" : "address",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/address",
          "name" : "address",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ADDRESS",
            "codeName" : "Address"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "address"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/address",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "客户标识",
            "lanResTag" : "DEF.LNAME.IBIZCUSTOMERID",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1621",
            "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMERID]",
            "rTMOSFilePath" : "pslanguageres/Auto1621",
            "refFlag" : true
          },
          "caption" : "客户标识",
          "codeName" : "ibizcustomerid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizcustomerid",
          "name" : "ibizcustomerid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "ibizcustomerid"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizcustomerid",
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "客户编号",
            "lanResTag" : "DEF.LNAME.CUSTOMERUID",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1096",
            "name" : "属性逻辑名称（DEF.LNAME.*）[CUSTOMERUID]",
            "rTMOSFilePath" : "pslanguageres/Auto1096",
            "refFlag" : true
          },
          "caption" : "客户编号",
          "codeName" : "customeruid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/customeruid",
          "name" : "customeruid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CUSTOMERUID",
            "codeName" : "CustomerUID"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "customeruid"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/customeruid",
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : 6,
          "childColMD" : 6,
          "childColSM" : 6,
          "childColXS" : 6,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZCustomerMediaTestEditView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "144ae39bc8dd3883dc9de47e77311669",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "MediaTestEditView",
  "getPSDEViewId" : "c0255243d69e72e62f3eb5abd424a6e4",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_image"
    }, {
      "id" : "field_carousel"
    } ],
    "codeName" : "A92309266045335c657",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "多媒体测试",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOMER/pssysviewlayoutpanels/A92309266045335c657",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZCustomerMediaTestEditView/psappviewctrls/layoutpanel",
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "标签",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_label1",
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSRawItem" : {
            "caption" : "动态",
            "contentType" : "RAW",
            "name" : "static_label1",
            "predefinedType" : "STATIC_LABEL",
            "renderMode" : "PARAGRAPH"
          },
          "rawContent" : "动态",
          "showCaption" : true
        }, {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid2",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container3",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 6,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "单项数据容器",
              "dataRegionType" : "SINGLEDATA",
              "dataSourceType" : "DEACTION",
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container_singledata1",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDynaImg"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
              },
              "getPSLayout" : {
                "layout" : "SIMPLEFLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "图片(动态)",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "field_image",
                "getPSEditor" : {
                  "editorParams" : {
                    "MAXCOUNT" : "1"
                  },
                  "editorType" : "PICTURE_ONE",
                  "maxFileCount" : 1,
                  "maxFileSize" : -1,
                  "minFileCount" : 0,
                  "name" : "field_image",
                  "predefinedType" : "FIELD_IMAGE"
                },
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "layout" : "SIMPLEFLEX"
                },
                "hidden" : false,
                "showCaption" : false
              } ]
            } ]
          }, {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container4",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 6,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "单项数据容器",
              "dataRegionType" : "SINGLEDATA",
              "dataSourceType" : "DEACTION",
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container_singledata2",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDynaCarousel"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
              },
              "getPSLayout" : {
                "layout" : "SIMPLEFLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "getPSPanelItems" : [ {
                "caption" : "轮播图(动态)",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "field_carousel",
                "getPSEditor" : {
                  "editorType" : "PICTURE",
                  "maxFileCount" : -1,
                  "maxFileSize" : -1,
                  "minFileCount" : 0,
                  "name" : "field_carousel",
                  "predefinedType" : "FIELD_CAROUSEL"
                },
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "layout" : "SIMPLEFLEX"
                },
                "hidden" : false,
                "showCaption" : false
              } ]
            } ]
          } ]
        }, {
          "caption" : "标签",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_label2",
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSRawItem" : {
            "caption" : "静态",
            "contentType" : "RAW",
            "name" : "static_label2",
            "predefinedType" : "STATIC_LABEL",
            "renderMode" : "PARAGRAPH"
          },
          "rawContent" : "静态",
          "showCaption" : true
        }, {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 6,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "图片",
              "contentType" : "IMAGE",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_image1",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "getPSRawItem" : {
                "contentType" : "IMAGE",
                "cssStyle" : "width:300px\nhieght:auto",
                "name" : "static_image1",
                "getPSSysImage" : {
                  "imagePath" : "/assets/img/login_bg.png"
                },
                "predefinedType" : "STATIC_IMAGE"
              },
              "getPSSysImage" : {
                "imagePath" : "/assets/img/login_bg.png"
              },
              "showCaption" : true
            } ]
          }, {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container2",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 6,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "轮播图",
              "contentType" : "IMAGE",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_carousel1",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "getPSRawItem" : {
                "contentType" : "IMAGE",
                "name" : "static_carousel1",
                "getPSRawItemParams" : [ {
                  "key" : "img1",
                  "name" : "panelitem1",
                  "getPSSysImage" : {
                    "glyph" : "xf1e2@FontAwesome",
                    "cssClass" : "fa fa-bomb"
                  }
                }, {
                  "key" : "img2",
                  "name" : "panelitem2",
                  "getPSSysImage" : {
                    "imagePath" : "assets/img/logo2.png"
                  }
                }, {
                  "key" : "img3",
                  "name" : "panelitem3",
                  "getPSSysImage" : {
                    "imagePath" : "/assets/img/login_bg.png"
                  }
                }, {
                  "key" : "autoplay",
                  "value" : "1"
                }, {
                  "key" : "timespan",
                  "value" : "1500"
                } ],
                "predefinedType" : "STATIC_CAROUSEL"
              },
              "showCaption" : true
            } ]
          } ]
        }, {
          "caption" : "标签",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_label3",
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSRawItem" : {
            "caption" : "视频",
            "contentType" : "RAW",
            "name" : "static_label3",
            "predefinedType" : "STATIC_LABEL",
            "renderMode" : "PARAGRAPH"
          },
          "rawContent" : "视频",
          "showCaption" : true
        }, {
          "caption" : "容器",
          "contentWidth" : 500.0,
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container5",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "hAlignSelf" : "LEFT",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "width" : 500,
            "widthMode" : "PX"
          },
          "getPSPanelItems" : [ {
            "caption" : "视频播放",
            "contentType" : "RAW",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "static_videoplayer1",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "contentType" : "RAW",
              "name" : "static_videoplayer1",
              "getPSRawItemParams" : [ {
                "key" : "mute",
                "value" : "1"
              }, {
                "key" : "replay",
                "value" : "1"
              }, {
                "key" : "autoplay",
                "value" : "1"
              }, {
                "key" : "showcontrols",
                "value" : "1"
              }, {
                "key" : "path",
                "value" : "//player.alicdn.com/video/aliyunmedia.mp4"
              } ],
              "predefinedType" : "STATIC_VIDEOPLAYER"
            },
            "showCaption" : true
          } ]
        } ],
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "314e3d1020f6abe316ebed70c9e5d63f",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZCustomerMediaTestEditView",
  "title" : "客户编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "fbb6ded4b1d2b238c0ed7a0f1b5ff2df",
  "modeltype" : "PSAPPDEVIEW"
}